<?xml version="1.0" encoding="UTF-8"?>
<bpmn:BpmnDiagram xmi:version="2.0" xmlns:xmi="http://www.omg.org/XMI" xmlns:bpmn="http://stp.eclipse.org/bpmn" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmi:id="_j5tewZw7EdyLD5zix7-5Lw" iD="_j5tewJw7EdyLD5zix7-5Lw">
  <pools xmi:type="bpmn:Pool" xmi:id="_j5_LkJw7EdyLD5zix7-5Lw" iD="_j5-kgJw7EdyLD5zix7-5Lw" name="Operator">
    <artifacts xmi:type="bpmn:DataObject" xmi:id="_EZ9ZsZxDEdyLD5zix7-5Lw" iD="_EZ9ZsJxDEdyLD5zix7-5Lw" name="itemId" ncname="">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_Yn4pUJz4Edy4GtU-q_8sfQ" source="org.eclipse.jwt/1.3.0/processes" references="_EZ9ZsZxDEdyLD5zix7-5Lw">
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_cVAbUJz4Edy4GtU-q_8sfQ" key="Data Type" value="dioParameter"/>
      </eAnnotations>
      <associations xmi:type="bpmn:Association" xmi:id="_MkbgwJxDEdyLD5zix7-5Lw" target="_328P8ZxAEdyLD5zix7-5Lw"/>
      <associations xmi:type="bpmn:Association" xmi:id="_N8xzwJxDEdyLD5zix7-5Lw" target="_ApFbAZxBEdyLD5zix7-5Lw">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_4ag3wJ2YEdyPRNquoyT5OQ" source="org.eclipse.jwt/1.3.0/processes" references="_MkbgwJxDEdyLD5zix7-5Lw">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_7dYL0J2YEdyPRNquoyT5OQ" key="direction" value="input"/>
        </eAnnotations>
      </associations>
    </artifacts>
    <artifacts xmi:type="bpmn:DataObject" xmi:id="_SxTSsZxDEdyLD5zix7-5Lw" iD="_SxTSsJxDEdyLD5zix7-5Lw" name="ItemRequiredAmount">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_m_dy4Jz4Edy4GtU-q_8sfQ" source="org.eclipse.jwt/1.3.0/processes" references="_SxTSsZxDEdyLD5zix7-5Lw">
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_oJBb8Jz4Edy4GtU-q_8sfQ" key="Data Type" value="dioParameter"/>
      </eAnnotations>
      <associations xmi:type="bpmn:Association" xmi:id="_UDodQJxDEdyLD5zix7-5Lw" target="_328P8ZxAEdyLD5zix7-5Lw"/>
      <associations xmi:type="bpmn:Association" xmi:id="_VOtJQJxDEdyLD5zix7-5Lw" target="_ApFbAZxBEdyLD5zix7-5Lw">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_vWqRoJ2YEdyPRNquoyT5OQ" source="org.eclipse.jwt/1.3.0/processes" references="_MkbgwJxDEdyLD5zix7-5Lw">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_zG1-sJ2YEdyPRNquoyT5OQ" key="direction" value="input"/>
        </eAnnotations>
      </associations>
    </artifacts>
    <vertices xmi:type="bpmn:Activity" xmi:id="_328P8ZxAEdyLD5zix7-5Lw" iD="_328P8JxAEdyLD5zix7-5Lw" associations="_MkbgwJxDEdyLD5zix7-5Lw _UDodQJxDEdyLD5zix7-5Lw" incomingEdges="_qLmjQZzuEdy4GtU-q_8sfQ" name="Ask availability">
      <outgoingMessages xmi:type="bpmn:MessagingEdge" href="#_OXsgEZxBEdyLD5zix7-5Lw"/>
    </vertices>
    <vertices xmi:type="bpmn:Activity" xmi:id="_GXOCgZxBEdyLD5zix7-5Lw" iD="_GXOCgJxBEdyLD5zix7-5Lw" outgoingEdges="_XsoZsJxCEdyLD5zix7-5Lw" name="Replace">
      <incomingMessages xmi:type="bpmn:MessagingEdge" href="#__IsCcZxEEdyLD5zix7-5Lw"/>
    </vertices>
    <vertices xmi:type="bpmn:Activity" xmi:id="_XKmDoZxCEdyLD5zix7-5Lw" iD="_XKmDoJxCEdyLD5zix7-5Lw" incomingEdges="_XsoZsJxCEdyLD5zix7-5Lw" activityType="Terminate End Event"/>
    <vertices xmi:type="bpmn:Activity" xmi:id="_m5QowZzuEdy4GtU-q_8sfQ" iD="_m5QowJzuEdy4GtU-q_8sfQ" associations="__0p54JzvEdy4GtU-q_8sfQ" outgoingEdges="_qLmjQZzuEdy4GtU-q_8sfQ" name="Start Item Supply"/>
    <vertices xmi:type="bpmn:Activity" xmi:id="_yM5pIamEEdy6iZyvbO9nYg" iD="_yM5pIKmEEdy6iZyvbO9nYg" activityType="Empty Intermediate Event">
      <incomingMessages xmi:type="bpmn:MessagingEdge" href="#_zBP3MamEEdy6iZyvbO9nYg"/>
    </vertices>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_XsoZsJxCEdyLD5zix7-5Lw" iD="_XsnyoJxCEdyLD5zix7-5Lw" source="_GXOCgZxBEdyLD5zix7-5Lw" target="_XKmDoZxCEdyLD5zix7-5Lw"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_qLmjQZzuEdy4GtU-q_8sfQ" iD="_qLmjQJzuEdy4GtU-q_8sfQ" source="_m5QowZzuEdy4GtU-q_8sfQ" target="_328P8ZxAEdyLD5zix7-5Lw"/>
  </pools>
  <pools xmi:type="bpmn:Pool" xmi:id="_fMehUJxAEdyLD5zix7-5Lw" iD="_fMfIYJxAEdyLD5zix7-5Lw" name="Supplying">
    <vertices xmi:type="bpmn:Activity" xmi:id="_koSF4ZxEEdyLD5zix7-5Lw" iD="_koSF4JxEEdyLD5zix7-5Lw" name="Supply" looping="true">
      <incomingMessages xmi:type="bpmn:MessagingEdge" href="#_n2qGYZxEEdyLD5zix7-5Lw"/>
      <outgoingMessages xmi:type="bpmn:MessagingEdge" href="#_Jg068ZxFEdyLD5zix7-5Lw"/>
    </vertices>
  </pools>
  <pools xmi:type="bpmn:Pool" xmi:id="_jGQ2UpxAEdyLD5zix7-5Lw" iD="_jGRdYJxAEdyLD5zix7-5Lw" name="Stock">
    <artifacts xmi:type="bpmn:DataObject" xmi:id="_Z8-2QZxDEdyLD5zix7-5Lw" iD="_Z8-2QJxDEdyLD5zix7-5Lw" name="availableItemAmount">
      <associations xmi:type="bpmn:Association" xmi:id="_cxaswJxDEdyLD5zix7-5Lw" target="_ApFbAZxBEdyLD5zix7-5Lw">
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_7BAOkJz4Edy4GtU-q_8sfQ" source="org.eclipse.jwt/1.3.0/processes" references="_Z8-2QZxDEdyLD5zix7-5Lw">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_7XqbEJz4Edy4GtU-q_8sfQ" key="Data Type" value="dioParameter"/>
        </eAnnotations>
        <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_Z0efYJ2UEdyPRNquoyT5OQ" source="org.eclipse.jwt/1.3.0/processes" references="_mGqRsJzvEdy4GtU-q_8sfQ">
          <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_jeVVkJ2UEdyPRNquoyT5OQ" key="direction" value="output"/>
        </eAnnotations>
      </associations>
    </artifacts>
    <vertices xmi:type="bpmn:Activity" xmi:id="_ApFbAZxBEdyLD5zix7-5Lw" iD="_ApFbAJxBEdyLD5zix7-5Lw" associations="_N8xzwJxDEdyLD5zix7-5Lw _VOtJQJxDEdyLD5zix7-5Lw _cxaswJxDEdyLD5zix7-5Lw" outgoingEdges="_y02ZoZxBEdyLD5zix7-5Lw" name="Consult item amount">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_HFPXUJ0LEdyICNbDacHyuQ" source="org.eclipse.jwt/1.3.0/processes" references="_ApFbAZxBEdyLD5zix7-5Lw">
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_H_OTUJ0LEdyICNbDacHyuQ" key="jwt__performedByApplication__name" value="Stock"/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_PHUXYJ0LEdyICNbDacHyuQ" key="jwt__performedByApplication__javaClass" value="org.eclipse.jwt.demo.reappro.Stock"/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_NpN0sJ2aEdyPRNquoyT5OQ" key="jwt__performedByApplication__icon" value="null"/>
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_iuiBkJ2aEdyPRNquoyT5OQ" key="jwt__performedByApplication__jarFile" value="null"/>
      </eAnnotations>
      <incomingMessages xmi:type="bpmn:MessagingEdge" href="#_OXsgEZxBEdyLD5zix7-5Lw"/>
    </vertices>
    <vertices xmi:type="bpmn:Activity" xmi:id="_opNsEZxBEdyLD5zix7-5Lw" iD="_opNsEJxBEdyLD5zix7-5Lw" outgoingEdges="_FBLAIZxCEdyLD5zix7-5Lw _c-3A8ZxFEdyLD5zix7-5Lw" incomingEdges="_y02ZoZxBEdyLD5zix7-5Lw" name="count items" activityType="Exclusive Data-based Gateway"/>
    <vertices xmi:type="bpmn:Activity" xmi:id="_Eb7lEZxCEdyLD5zix7-5Lw" iD="_Eb7lEJxCEdyLD5zix7-5Lw" incomingEdges="_FBLAIZxCEdyLD5zix7-5Lw" name="Not enough items">
      <outgoingMessages xmi:type="bpmn:MessagingEdge" href="#_n2qGYZxEEdyLD5zix7-5Lw"/>
    </vertices>
    <vertices xmi:type="bpmn:Activity" xmi:id="_7I8PYZxEEdyLD5zix7-5Lw" iD="_7I8PYJxEEdyLD5zix7-5Lw" incomingEdges="_YrXLcZxFEdyLD5zix7-5Lw" name="Request replace">
      <outgoingMessages xmi:type="bpmn:MessagingEdge" href="#__IsCcZxEEdyLD5zix7-5Lw"/>
    </vertices>
    <vertices xmi:type="bpmn:Activity" xmi:id="_CB_x4ZxFEdyLD5zix7-5Lw" iD="_CB_x4JxFEdyLD5zix7-5Lw" outgoingEdges="_YrXLcZxFEdyLD5zix7-5Lw" incomingEdges="_c-3A8ZxFEdyLD5zix7-5Lw" name="Enough items">
      <incomingMessages xmi:type="bpmn:MessagingEdge" href="#_Jg068ZxFEdyLD5zix7-5Lw"/>
    </vertices>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_y02ZoZxBEdyLD5zix7-5Lw" iD="_y02ZoJxBEdyLD5zix7-5Lw" source="_ApFbAZxBEdyLD5zix7-5Lw" target="_opNsEZxBEdyLD5zix7-5Lw"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_FBLAIZxCEdyLD5zix7-5Lw" iD="_FBLAIJxCEdyLD5zix7-5Lw" source="_opNsEZxBEdyLD5zix7-5Lw" target="_Eb7lEZxCEdyLD5zix7-5Lw"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_YrXLcZxFEdyLD5zix7-5Lw" iD="_YrXLcJxFEdyLD5zix7-5Lw" source="_CB_x4ZxFEdyLD5zix7-5Lw" target="_7I8PYZxEEdyLD5zix7-5Lw"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_c-3A8ZxFEdyLD5zix7-5Lw" iD="_c-3A8JxFEdyLD5zix7-5Lw" source="_opNsEZxBEdyLD5zix7-5Lw" target="_CB_x4ZxFEdyLD5zix7-5Lw"/>
  </pools>
  <pools xmi:type="bpmn:Pool" xmi:id="_EWIL4ZzuEdy4GtU-q_8sfQ" iD="_EWIL4JzuEdy4GtU-q_8sfQ" name="Reviewer">
    <artifacts xmi:type="bpmn:DataObject" xmi:id="_gFmHIZzvEdy4GtU-q_8sfQ" iD="_gFmHIJzvEdy4GtU-q_8sfQ" name="items to repalce">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_A8HiIJz5Edy4GtU-q_8sfQ" source="org.eclipse.jwt/1.3.0/processes" references="_gFmHIZzvEdy4GtU-q_8sfQ">
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_B4x-sJz5Edy4GtU-q_8sfQ" key="Data Type" value="dioParameter"/>
      </eAnnotations>
      <associations xmi:type="bpmn:Association" xmi:id="_mGqRsJzvEdy4GtU-q_8sfQ" target="_Imz98ZzuEdy4GtU-q_8sfQ"/>
    </artifacts>
    <artifacts xmi:type="bpmn:DataObject" xmi:id="_s5OxsZzvEdy4GtU-q_8sfQ" iD="_s5OxsJzvEdy4GtU-q_8sfQ" name="current item">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_EeomoJz5Edy4GtU-q_8sfQ" source="org.eclipse.jwt/1.3.0/processes" references="_s5OxsZzvEdy4GtU-q_8sfQ">
        <details xmi:type="ecore:EStringToStringMapEntry" xmi:id="_GGswoJz5Edy4GtU-q_8sfQ" key="Data Type" value="dioParameter"/>
      </eAnnotations>
      <associations xmi:type="bpmn:Association" xmi:id="_uo70wJzvEdy4GtU-q_8sfQ" target="_f38iIZzuEdy4GtU-q_8sfQ"/>
      <associations xmi:type="bpmn:Association" xmi:id="_vD8VwJzvEdy4GtU-q_8sfQ" target="_aIDAE5zuEdy4GtU-q_8sfQ"/>
      <associations xmi:type="bpmn:Association" xmi:id="__0p54JzvEdy4GtU-q_8sfQ" target="_m5QowZzuEdy4GtU-q_8sfQ"/>
    </artifacts>
    <vertices xmi:type="bpmn:Activity" xmi:id="_Imz98ZzuEdy4GtU-q_8sfQ" iD="_Imz98JzuEdy4GtU-q_8sfQ" associations="_mGqRsJzvEdy4GtU-q_8sfQ" outgoingEdges="_tTzDQZzuEdy4GtU-q_8sfQ" incomingEdges="_sIg74ZzuEdy4GtU-q_8sfQ" name="Set items to replace"/>
    <vertices xmi:type="bpmn:Activity" xmi:id="_KnmJ8ZzuEdy4GtU-q_8sfQ" iD="_KnmJ8JzuEdy4GtU-q_8sfQ" outgoingEdges="_sIg74ZzuEdy4GtU-q_8sfQ" activityType="Empty Start Event"/>
    <vertices xmi:type="bpmn:SubProcess" xmi:id="_aIDAEZzuEdy4GtU-q_8sfQ" iD="_aIDAEJzuEdy4GtU-q_8sfQ" outgoingEdges="_zFmp0ZzuEdy4GtU-q_8sfQ" incomingEdges="_tTzDQZzuEdy4GtU-q_8sfQ" looping="true">
      <vertices xmi:type="bpmn:Activity" xmi:id="_aIDAE5zuEdy4GtU-q_8sfQ" iD="_aIDAEpzuEdy4GtU-q_8sfQ" associations="_vD8VwJzvEdy4GtU-q_8sfQ" outgoingEdges="_0irr0ZzuEdy4GtU-q_8sfQ" name="Set current item"/>
      <vertices xmi:type="bpmn:Activity" xmi:id="_f38iIZzuEdy4GtU-q_8sfQ" iD="_f38iIJzuEdy4GtU-q_8sfQ" associations="_uo70wJzvEdy4GtU-q_8sfQ" incomingEdges="_0irr0ZzuEdy4GtU-q_8sfQ" name="Request current Item supplying">
        <outgoingMessages xmi:type="bpmn:MessagingEdge" href="#_zBP3MamEEdy6iZyvbO9nYg"/>
      </vertices>
      <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_0irr0ZzuEdy4GtU-q_8sfQ" iD="_0irr0JzuEdy4GtU-q_8sfQ" source="_aIDAE5zuEdy4GtU-q_8sfQ" target="_f38iIZzuEdy4GtU-q_8sfQ"/>
    </vertices>
    <vertices xmi:type="bpmn:Activity" xmi:id="_v83XQZzuEdy4GtU-q_8sfQ" iD="_v83XQJzuEdy4GtU-q_8sfQ" incomingEdges="_zFmp0ZzuEdy4GtU-q_8sfQ" activityType="Terminate End Event"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_sIg74ZzuEdy4GtU-q_8sfQ" iD="_sIg74JzuEdy4GtU-q_8sfQ" source="_KnmJ8ZzuEdy4GtU-q_8sfQ" target="_Imz98ZzuEdy4GtU-q_8sfQ"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_tTzDQZzuEdy4GtU-q_8sfQ" iD="_tTzDQJzuEdy4GtU-q_8sfQ" source="_Imz98ZzuEdy4GtU-q_8sfQ" target="_aIDAEZzuEdy4GtU-q_8sfQ"/>
    <sequenceEdges xmi:type="bpmn:SequenceEdge" xmi:id="_zFmp0ZzuEdy4GtU-q_8sfQ" iD="_zFmp0JzuEdy4GtU-q_8sfQ" source="_aIDAEZzuEdy4GtU-q_8sfQ" target="_v83XQZzuEdy4GtU-q_8sfQ"/>
  </pools>
  <messages xmi:type="bpmn:MessagingEdge" xmi:id="_OXsgEZxBEdyLD5zix7-5Lw" iD="_OXsgEJxBEdyLD5zix7-5Lw" source="_328P8ZxAEdyLD5zix7-5Lw" target="_ApFbAZxBEdyLD5zix7-5Lw"/>
  <messages xmi:type="bpmn:MessagingEdge" xmi:id="_n2qGYZxEEdyLD5zix7-5Lw" iD="_n2qGYJxEEdyLD5zix7-5Lw" source="_Eb7lEZxCEdyLD5zix7-5Lw" target="_koSF4ZxEEdyLD5zix7-5Lw"/>
  <messages xmi:type="bpmn:MessagingEdge" xmi:id="__IsCcZxEEdyLD5zix7-5Lw" iD="__IsCcJxEEdyLD5zix7-5Lw" source="_7I8PYZxEEdyLD5zix7-5Lw" target="_GXOCgZxBEdyLD5zix7-5Lw"/>
  <messages xmi:type="bpmn:MessagingEdge" xmi:id="_Jg068ZxFEdyLD5zix7-5Lw" iD="_Jg068JxFEdyLD5zix7-5Lw" source="_koSF4ZxEEdyLD5zix7-5Lw" target="_CB_x4ZxFEdyLD5zix7-5Lw"/>
  <messages xmi:type="bpmn:MessagingEdge" xmi:id="_zBP3MamEEdy6iZyvbO9nYg" iD="_zBP3MKmEEdy6iZyvbO9nYg" source="_f38iIZzuEdy4GtU-q_8sfQ" target="_yM5pIamEEdy6iZyvbO9nYg"/>
</bpmn:BpmnDiagram>
